Bug 966841 - fedup --clean, log variable does not exist
fedup --clean, log variable does not exist
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
: Reopened
: 981184 984288 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-24 01:59 EDT by Raymond Mancy
Modified: 2014-12-07 20:15 EST (History)
8 users (show)

See Also:
Fixed In Version: fedup-0.8.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 02:22:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add log var (332 bytes, patch)
2013-05-24 02:00 EDT, Raymond Mancy
no flags Details | Diff

  None (edit)
Description Raymond Mancy 2013-05-24 01:59:54 EDT
Description of problem:

When fedup --clean fails to remove a file, it also fails to log the failure

Version-Release number of selected component (if applicable):

fedup-0.7.3-5.fc17.noarch

How reproducible:

Whenever fedup --clean can't remove a file

Steps to Reproduce:
1. fedup --clean
2.
3.

Actual results:

[root@rmancy tmp]# fedup --clean
resetting bootloader config
removing boot images
removing downloaded packages
removing miscellaneous files
Traceback (most recent call last):
  File "/usr/bin/fedup", line 181, in <module>
    main(args)
  File "/usr/bin/fedup", line 82, in main
    do_cleanup(args)
  File "/usr/lib/python2.7/site-packages/fedup/commandline.py", line 185, in do_cleanup
    misc_cleanup()
  File "/usr/lib/python2.7/site-packages/fedup/sysprep.py", line 202, in misc_cleanup
    rm_rf(d)
  File "/usr/lib/python2.7/site-packages/fedup/util.py", line 51, in rm_rf
    rm_f(d, rm=rmtree)
  File "/usr/lib/python2.7/site-packages/fedup/util.py", line 48, in rm_f
    log.warn("failed to remove %s: %s", f, str(e))
NameError: global name 'log' is not defined


Expected results:

[root@rmancy tmp]# fedup --clean
resetting bootloader config
removing boot images
removing downloaded packages
removing miscellaneous files
fedup.util WARNING: failed to remove /system-upgrade-root: [Errno 16] Device or resource busy: '/system-upgrade-root'
Additional info:
Comment 1 Raymond Mancy 2013-05-24 02:00:50 EDT
Created attachment 752477 [details]
Add log var
Comment 2 Will Woods 2013-05-24 10:26:52 EDT
Should be fixed by https://github.com/wgwoods/fedup/commit/b4c25d5 - thanks!
Comment 3 Fedora End Of Life 2013-07-04 03:06:18 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 David Juran 2013-07-20 05:20:11 EDT
Shouldn't this fix also be pushed to F17?
Comment 5 Fedora End Of Life 2013-08-01 14:50:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Sergio Monteiro Basto 2013-10-03 21:01:27 EDT
bug still exist in fedup of Fedora 19
Comment 7 Sergio Monteiro Basto 2013-10-03 21:02:11 EDT
*** Bug 984288 has been marked as a duplicate of this bug. ***
Comment 8 Will Woods 2013-10-09 15:10:24 EDT
*** Bug 981184 has been marked as a duplicate of this bug. ***
Comment 9 Fedora Update System 2013-12-11 17:12:07 EST
fedup-0.8.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc19
Comment 10 Fedora Update System 2013-12-11 17:20:23 EST
fedup-0.8.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc20
Comment 11 Fedora Update System 2013-12-11 17:22:13 EST
fedup-0.8.0-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/fedup-0.8.0-3.fc18
Comment 12 Fedora Update System 2013-12-13 00:09:30 EST
Package fedup-0.8.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing fedup-0.8.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-23316/fedup-0.8.0-3.fc19
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2013-12-19 02:22:02 EST
fedup-0.8.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2013-12-19 20:44:25 EST
fedup-0.8.0-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-12-22 00:34:34 EST
fedup-0.8.0-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.